Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
hhhhgggg

Lisp biến Text thành 1 text hay một giá trị mình nhập vào ??????????

Các bài được khuyến nghị

Bác Pro nào viết cho em cái Lisp biến các text ( Mtext) được chọn thành 1 Text khác (hay 1 Value) mà mình nhập vào ???

Cảm ơn các bác !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bác Pro nào viết cho em cái Lisp biến các text ( Mtext) được chọn thành 1 Text khác (hay 1 Value) mà mình nhập vào ???

Cảm ơn các bác !

Có phải bạn muốn chọn các text, sau đó nhập giá trị Text vào, lập tức các Text được chọn ban đầu đó nhận giá trị là Text vào

Nếu vậy thì cái bạn cần ở đây : http://www.cadviet.com/forum/index.php?showtopic=7092

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có phải bạn muốn chọn các text, sau đó nhập giá trị Text vào, lập tức các Text được chọn ban đầu đó nhận giá trị là Text vào

Nếu vậy thì cái bạn cần ở đây : http://www.cadviet.com/forum/index.php?showtopic=7092

Đúng là mình muốn vậy nhưng mà cái Lisp ở diễn đàn đó ko chạy được bạn à ? Báo lỗi : "Select objects: ; error: quit / exit abort"

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bác Pro nào viết cho em cái Lisp biến các text ( Mtext) được chọn thành 1 Text khác (hay 1 Value) mà mình nhập vào ???

Cảm ơn các bác !

Bạn dùng thử cái này, lệnh TTT:

 

(defun C:TTT( / ss txt e d)
(setq
   ss (ssget '((0 . "TEXT,MTEXT")))
   txt (getstring "\nGia tri text thay the:" T)
)
(while (setq e (ssname ss 0))
   (setq
       d (entget e)
       d (subst (cons 1 txt) (assoc 1 d) d)
   )
   (entmod d)
   (ssdel e ss)
)
(princ)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Đúng là mình muốn vậy nhưng mà cái Lisp ở diễn đàn đó ko chạy được bạn à ? Báo lỗi : "Select objects: ; error: quit / exit abort"

Lỗi này là do file .dcl chưa được chỉ đường dẫn để tải vào ACAD.

CÁi này gồm 2 file Edit Multi Text.dcl và file Edit Multi Text.lsp

Bạn chép 2 file này vào trong 1 thư mục nào đó

 

Vào CAD, đánh lệnh op (option) -> ở nhãn file -> hàng đầu tiên Support file search Path -> Chọn Add -> Chỉ đường dẫn tới thư mục chứa file Edit Multi Text.dcl ->Apply -> OK.

 

Appload file lisp và sử dụng. Tên lệnh là edd.

Hai file đó đay : http://www.cadviet.com/upfiles/Edit_Multi_Text.rar

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn dùng thử cái này, lệnh TTT:

 

(defun C:TTT( / ss txt e d)
(setq
   ss (ssget '((0 . "TEXT,MTEXT")))
   txt (getstring "\nGia tri text thay the:" T)
)
(while (setq e (ssname ss 0))
   (setq
       d (entget e)
       d (subst (cons 1 txt) (assoc 1 d) d)
   )
   (entmod d)
   (ssdel e ss)
)
(princ)
)

ok ! Lisp của bác SSG chính là lời giải của bài toán. Em đã Test và chạy ok ! Em tặng bác 1 con gà quay ( Hình vẽ) để hậu tạ ! kekeke

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×